Add temporary workaround for hang during sanity check
This commit is contained in:
parent
47e21b6006
commit
4ea2dd34c1
Notes:
svn2git
2021-03-31 03:12:20 +00:00
svn path=/head/; revision=338214
@ -2,6 +2,7 @@
|
||||
|
||||
PORTNAME= poudriere
|
||||
PORTVERSION= 3.0.99.20131230
|
||||
PORTREVISION= 1
|
||||
CATEGORIES= ports-mgmt
|
||||
MASTER_SITES= http://fossil.etoilebsd.net/poudriere/tarball/ \
|
||||
LOCAL/bdrewery/${PORTNAME}/
|
||||
@ -17,8 +18,6 @@ FSL_CHKIN= ae87e905f3
|
||||
|
||||
OPTIONS_DEFINE= ZSH
|
||||
|
||||
FORBIDDEN= sanity check issue being fixed
|
||||
|
||||
CONFLICTS_INSTALL= poudriere-[0-9]*
|
||||
|
||||
USES= uidfix
|
||||
|
@ -0,0 +1,25 @@
|
||||
--- ./src/share/poudriere/common.sh.orig 2013-12-30 15:33:59.000000000 -0600
|
||||
+++ ./src/share/poudriere/common.sh 2013-12-30 20:19:11.627128632 -0600
|
||||
@@ -2996,6 +2996,7 @@
|
||||
|
||||
parallel_run() {
|
||||
local cmd="$1"
|
||||
+ local ret=0
|
||||
shift 1
|
||||
|
||||
if [ ${NBPARALLEL} -eq ${PARALLEL_JOBS} ]; then
|
||||
@@ -3008,11 +3009,13 @@
|
||||
_SHOULD_REAP=$((_SHOULD_REAP + 1))
|
||||
if [ ${_SHOULD_REAP} -eq 16 ]; then
|
||||
_SHOULD_REAP=0
|
||||
- _reap_children || return $?
|
||||
+ _reap_children || ret=$?
|
||||
fi
|
||||
|
||||
PARALLEL_CHILD=1 parallel_exec $cmd "$@" &
|
||||
PARALLEL_PIDS="${PARALLEL_PIDS} $! "
|
||||
+
|
||||
+ return ${ret}
|
||||
}
|
||||
|
||||
find_all_pool_references() {
|
Loading…
Reference in New Issue
Block a user